> For the complete documentation index, see [llms.txt](https://docs.noports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.noports.com/installation-faq/installation-details.md).

# How to name a device

Each device Atsign can be used for multiple devices and so each device needs a unique name.

### Device Name Format

The device name has the following constraints.

* May contain only the following characters:
  * `a-z` (lowercase letters)
  * `0-9` (numbers)
  * `_` (underscore)
  * `-` (dash)
* Maximum of 36 characters.
* Must start with a letter.

### Examples

```
my_host
canary02
oci_mail_0001
dc_001_row_009_rack_0067_ru_014
fa4969ca-9714-42a7-8edd-8d15158ce641
```

### Nerdy Stuff

#### The regular expression (regex)

```
[a-z][a-z0-9_-]{0,35}
```

#### Fun fact!

Originally we only supported alphanumeric snakecase up to 15 characters, but we loosened the constraints to support uuid v4.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.noports.com/installation-faq/installation-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
